#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n;cin>>n;
    pair <double, double> a[n];
    for(int i = 0;i<n;i++){
        cin>>a[i].second>>a[i].first;
    }
    bool allsame = true;
    for(int i = 0;i<n-1;i++){
        if(a[i].second != a[i+1].second){
            allsame = false;
            break;
        }
    }
    sort(a,a+n);
    if(allsame){
        double sum[n];
        for(int i = 0;i<n;i++){
            sum[i] = 0;
            sum[i] = (n-i)*a[i].first*a[i].second/100.0;
        }
        double maxsum = 0.0;
        for(int i = 0;i<n;i++){
            if(sum[i]>maxsum){maxsum = sum[i];}
        }
        cout<<setprecision(3)<<fixed<<maxsum<<endl;
    }
    else{
        double sum[n];
        for(int i = 0; i<n; i++){
            sum[i] = 0;
            for(int j = i; j<n; j++){
                sum[i] += a[j].second * a[i].first/100.0;
            }
        }
        double maxsum = 0.0;
        for(int i = 0;i<n;i++){
            if(sum[i]>maxsum){maxsum = sum[i];}
        }
        cout<<setprecision(3)<<fixed<<maxsum<<endl;
    }
}